apiVersion: camel.apache.org/v1alpha1
kind: KameletBinding
metadata:
  creationTimestamp: "2023-01-09T10:27:58Z"
  generation: 1
  name: timer-to-log-replace-field-action
  namespace: lfabriko
  resourceVersion: "20850133"
  uid: 5ff53a56-cd0e-4f50-ae57-699b607a8bae
spec:
  sink:
    properties:
      showHeaders: true
    uri: log:info
  source:
    properties: {}
    ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: custom-timer-source
  steps:
  - properties:
      disabled: baz,foo
      enabled: bar
      renames: bar:test
    ref:
      apiVersion: camel.apache.org/v1alpha1
      kind: Kamelet
      name: replace-field-action
      namespace: lfabriko
status:
  conditions:
  - lastTransitionTime: "2023-01-09T10:28:37Z"
    lastUpdateTime: "2023-01-09T10:28:37Z"
    message: 1/1 ready replicas
    reason: DeploymentReady
    status: "True"
    type: Ready
  observedGeneration: 1
  phase: Ready
  replicas: 1
  selector: camel.apache.org/integration=timer-to-log-replace-field-action
